@import url("https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css")
@import url('https://fonts.googleapis.com/css?family=Poppins&display=swap')
@import url('https://fonts.googleapis.com/css2?family=JetBrains+Mono&display=swap')

$manga: #E5E1E6
$void: #0F0913
$spark: #FFE27D
$surf: #64E3FF
$psybeam: #9092FF
$giga: #B4FF39
$gold: #D2B863

body
  background: $void!important
  min-height: 100vh
  font-family: 'JetBrains Mono', monospace!important

::selection
  background-color: $giga
  color: $void

section
  background: $void

h1, h2, h3, h4, h5
  font-family: 'JetBrains Mono', monospace
  text-shadow: 1px 1px 2px black, 0 0 25px $gold, 0 0 5px $gold

.binary-message
  white-space: nowrap
  overflow: hidden
  position: fixed
  left: 50%
  transform: translateX(-50%)

  @media (max-width: 767px)
    .binary-message
      display: none

#header-art-1
  position: absolute
  z-index: -1
  margin: 0
  // opacity: 0.2
  top: 0
  right: 0

#header-art-2
  position: absolute
  z-index: -1
  margin: 0
  opacity: 0
  bottom: 0
  left: 0

@media only screen and (max-width: 1000px )
  #header-art-2
    opacity: 0.2

  #scroll-down
    opacity: 0

.particleBg
  position: absolute

#top-bar
  margin-left: 2vw
  margin-right: 50vw

#header-area
  min-height: 100vh
  padding: 2vh 0
  .hacktoberLogo
    max-width: 100vmin
    margin-bottom: 0px
    padding-top: 5vh
    width: 100%

  .amFOSSLogo, .amritaLogo
    max-width: 10rem
    min-width: 15vw
    width: 100%
    margin: 0

  .header-title
    height: 100%
    margin-top : -30px

  h1
    color: $manga
    text-transform: uppercase
    font-size: calc(1.5rem + 2.5vmax)
    line-height: 110%
    margin: 0

  h3
    color: $gold
    font-size: calc(1.2rem + 1.5vmax)

#venue-details
  min-height: 50vh
  display: flex
  align-items: center
  justify-content: center
  color: white
  line-height: 1.3
  h2
    color: yellow
    font-size: calc(1.5rem + 2vmax)

  h3
    font-size: calc(1.3rem + 1.5vmax)

  .fs-4
    font-size: calc(1.2rem + 1vmax)

  .fs-5
    font-size: calc(1.1rem + 0.6vmax)

  .fs-6
    font-size: calc(1.1rem + 0.4vmax)

  #location-map
    width: 100%
    height: 100%
    min-height: 300px

.button
  background: linear-gradient(to right, $spark,$surf,$psybeam)
  margin-top: 0.5rem
  margin-bottom: 0.5rem
  padding: 0.8rem 2.8rem
  font-weight: 900
  color: #000
  text-align: center
  vertical-align: middle
  border: none
  animation-duration: 1s
  transition-duration: 0.4s
  -webkit-clip-path: polygon(10% 0%, 90% 0%, 100% 0%, 100% 80%, 90% 100%, 0% 100%, 0% 80%, 0% 20%)
  clip-path: polygon(10% 0%, 90% 0%, 100% 0%, 100% 80%, 90% 100%, 0% 100%, 0% 80%, 0% 20%)

.button:hover
  color: black
  background: linear-gradient(to right, $spark,$spark,$spark,$surf,$surf,$psybeam)
  transform: rotate(3deg)

#scroll-down
  position: absolute
  left: 50%
  bottom: 20px
  transform: translate(-50%, -50%)
  margin: 0 auto
  height: 5vh
  width: 5rem
  transition: all 1s ease-in-out

#scroll-down img:hover
  transform: scale(1.1)
  animation-duration: 3s

@media only screen and (max-width: 1100px )
  #scroll-down
    opacity: 0

#counter
  min-height: 35vh
  line-height: 1
  padding-top: 2vh
  .part
    color: #f0f0f0
    text-align: center

    span
      display: block
      margin-top: 0.5rem
      font-family: 'JetBrains Mono', sans-serif
      color: #f0f0f0
      padding: 0 0rem

  .button
    margin-left: 0.5rem

#youtube-card
  display: flex
  justify-content: center
  align-items: center
  margin: 64px 0px 32px 0px

  .outerCard
    width: 100%
    max-width: 46rem
    min-width: auto
    min-height: auto
    background: linear-gradient(to right,$psybeam, $surf,$psybeam)
    border: 4px solid $surf
    border-radius: 1rem
    padding: 40px 48px
    position: relative
    box-shadow: $surf 0px 0px 12px
    transition-duration: 0.3s
    @media (max-width: 767px)
      padding: 20px 24px

  .outerCard:hover
    box-shadow: $surf 0px 0px 24px
    translate: 0px -8px

  .content
    line-height: 0

  .outerCard::after
    background-image: url("../images/space-sparks.gif")
    background-size: cover
    background-position: center center
    border-radius: inherit
    width: 100%
    height: 100%
    left: 0px
    content: ""
    mix-blend-mode: color-dodge
    opacity: 0.5
    position: absolute
    top: 0px

  iframe
    display: block
    position: relative
    z-index: 2
    border-radius: 8px
    aspect-ratio: 16/9
    width: 100%

#registration-form
  background: $void
  padding-top: 5vh
  padding-bottom: 5vh
  h2
    font-size: calc(1rem + 2.4vmax)
    text-shadow: 1px 1px 1px black, 0 0 8px blue, 0 0 3px $psybeam

    span
      color: $surf
      text-shadow: 1px 1px 1px black, 0 0 8px blue, 0 0 3px $psybeam
    p
      text-shadow: 1px 1px 1px black, 0 0 26px blue, 0 0 6px $psybeam

  form
    margin: 1rem 0
    .form-control
      border-radius: 0
      border: 3px solid $psybeam
      background: $manga
      color: $void
      text-shadow: 0 0 2px $psybeam
      appearance: none

    .form-check-input
      background: none
      width: 1.2rem!important
      height: 1.2rem!important
      border: none
      margin: 0

    .form-check-label
      font-size: 80%
      color: $manga
      a
        color: white

    option
      color: black

#register-btn
  margin: 0

#learn-more
  height: fit
  padding: 2vh 10vw

  span
    color: $surf

#footer-logos
  img
    width: 3.5vw
    min-width: 48px

.button-new
  position: relative
  display: inline-flex
  justify-content: center
  align-items: center
  border-radius: 16px
  text-transform: uppercase
  color: rgb(195, 188, 195)
  transition: box-shadow 300ms ease-in-out 0s, color 300ms ease-in-out 0s, border 300ms ease-in-out 0s
  font-size: 35px
  font-style: normal
  font-weight: 400
  line-height: 50px
  padding: 12px 20px
  background-color: #0F0913
  border: 1px solid
  cursor: pointer
  overflow: hidden
  
.button-new:hover
  text-shadow: 1px 1px 2px black, 0 0 25px white, 0 0 5px $psybeam
  color: white
  box-shadow: 0 0 20px 
  transition-delay: 0.1s
  border: 1px solid transparent

#scrollbtn
  margin-top: 20px

.progressbar
  width: 100%
  position: relative
  height: 40px
  display: flex
  justify-content: center
  align-items: center

.progressbar-background
    position : absolute
    width: 100%
    height: 82%
    pointer-events: none
    color: rgb(210, 184, 99)
    text-shadow: 1px 1px 2px black, 0 0 25px white, 0 0 5px $psybeam
    box-shadow: 0 0 20px
    border-radius: 16px


.progressbar-blocks
  border-radius: 4px
  display: flex
  gap: 3px
  height: 16px
  overflow: hidden
  width: 95%
  justify-content: center

.progressbar-block-filled
    background: linear-gradient(rgb(178, 227, 240) 0%, rgb(239, 237, 239) 48.44%, rgb(12, 54, 64) 48.45%, rgb(51, 182, 216) 100%)
    -webkit-box-flex: 1
    flex-grow: 1
    flex-basis: 0px

.progressbar-block-empty
    background: rgb(101, 95, 103)
    -webkit-box-flex: 1
    flex-grow: 1
    flex-basis: 0px

.presentedText
  color: #EC4237
  font-size: 25px

.presentedLogos
  width : 20%
  margin-left : 5px
  margin-right : 5px

.githubLogo
  width : 15% !important

.fakeForm
  opacity: 0.1
  pointer-events: none
  user-select: none

.comingSoon
  border-radius: 16px
  border: 4px solid rgb(100, 227, 255)
  position: relative
  box-shadow: #64E3FF 0px 0px 12px
  transition-duration: 0.3s

.comingSoonText
  color : white
  background: rgba(0, 0, 0, 0.8)
  padding: 10px
  border-radius: 50px
  font-size: 100px
  background-filter: blur(50px)
  text-shadow: 1px 1px 2px black, 0 0 25px $gold, 0 0 5px $gold
  text-align: center
  font-weight: 900
  margin-top: 10px
  position : absolute
  top: 50%
  left: 50%
  transform: translate(-50%,-50%)
  z-index: 100

.learnMoreButtonHolder
  flex: auto
  justify-content: center
  align-items: center

.smallWindowText
  display : none  
  color : white
  font-size: 100px
  text-shadow: 1px 1px 2px black, 0 0 25px $gold, 0 0 5px $gold
  text-align: center
  font-weight: 900 

.dotted
  width: 90%
  margin-left : auto
  margin-right : auto

.dottedDivider
  position: relative
  height: 10px

.dottedDivider::before, .dottedDivider::after 
  background-image: linear-gradient(90deg, rgb(101, 95, 103), rgb(101, 95, 103) 50%, transparent 50%, transparent 100%)
  background-size: 15px 2px
  background-position: -50% center
  content: ""
  position: absolute
  left: 0px
  height: 2px
  width: 100%

.amFOSSLogo
  width : 10%

.footer
  background : url("../images/bg-footer.svg")
  background-size : cover
  background-position : center
  background-repeat : no-repeat
  
.stage
  margin-left : auto
  margin-right : auto
  width : 70%
  height : 8px
  background : white
  text-shadow: 1px 1px 2px black, 0 0 25px white, 0 0 5px $psybeam
  box-shadow: 0 0 20px
  border-radius : 16px

@keyframes moveUpDown 
  0%
    transform: translateY(0)
  50%
    transform: translateY(-15px) 
  100%
    transform: translateY(0)
  
.prizes-images
  animation: moveUpDown 3s ease infinite

.prizes-heading
  font-size : 50px

.prizes-content
  text-align: center

.noise-buds
  width: 85% !important
  height: 75% !important

.closed-text
  font-size: 60px

@media (max-width: 575px) 
  .presentedLogos
    width : 30%

  .githubLogo
    width : 20% !important

  .progressbar-background
    height : fit-content

  .learnmoreLogo
    display : none

  .learnmoreText
    min-width : 100%
    text-align: center

  .learnmoreButton
    display : flex
    justify-content : center
    align-items : center

  .presentedByComponent
    display : none !important

  .smallWindowText
    display : flex
    border : 2px dashed rgb(195, 188, 195)
    margin-left : 30px
    margin-right : 30px
    padding : 15px
    padding-top : 30px
    border-radius : 16px

  .comingSoon
    display : none

  .leftBoxHeader
    margin-left : 0 !important
    margin-right : 0 !important

  .dotted
    margin-top : 2rem
    margin-bottom : 2rem

  .amFOSSLogo
    width : 50%

  .stage
    display: none

  .prizes-images
    animation: none

  .prizes-heading
    font-size : 35px

  .prizes-content
    margin: 0 !important
    padding-right: 15px
    padding-left: 15px
    
  .closed-text
    font-size: 40px